libpst.so.4: pst_item_email Struct Reference

libpst.so.4

Data Fields
pst_item_email Struct Reference

This contains the email related mapi elements. More...

`#include <libpst/libpst.h>`

Collaboration diagram for pst_item_email:
[legend]

## Data Fields
FILETIME * | arrival_date
| mapi element 0x0e06 PR_MESSAGE_DELIVERY_TIME More...
int | autoforward
| mapi element 0x0002 PR_ALTERNATE_RECIPIENT_ALLOWED More...
pst_string | cc_address
| mapi element 0x0e03 PR_DISPLAY_CC More...
pst_string | bcc_address
| mapi element 0x0e02 PR_DISPLAY_BCC More...
pst_binary | conversation_index
| mapi element 0x0071 PR_CONVERSATION_INDEX More...
int | conversion_prohibited
| mapi element 0x3a03 PR_CONVERSION_PROHIBITED More...
int | delete_after_submit
| mapi element 0x0e01 PR_DELETE_AFTER_SUBMIT More...
int | delivery_report
| mapi element 0x0023 PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED More...
pst_binary | encrypted_body
| mapi element 0x6f04 More...
pst_binary | encrypted_htmlbody
| mapi element 0x6f02 More...
pst_string | header
| mapi element 0x007d PR_TRANSPORT_MESSAGE_HEADERS More...
pst_string | htmlbody
| mapi element 0x1013 More...
int32_t | importance
| mapi element 0x0017 PR_IMPORTANCE More...
pst_string | in_reply_to
| mapi element 0x1042 More...
int | message_cc_me
| mapi element 0x0058 PR_MESSAGE_CC_ME, this user is listed explicitly in the CC address More...
int | message_recip_me
| mapi element 0x0059 PR_MESSAGE_RECIP_ME, this user appears in TO, CC or BCC address list More...
int | message_to_me
| mapi element 0x0057 PR_MESSAGE_TO_ME, this user is listed explicitly in the TO address More...
pst_string | messageid
| mapi element 0x1035 More...
int32_t | original_sensitivity
| mapi element 0x002e PR_ORIGINAL_SENSITIVITY More...
pst_string | original_bcc
| mapi element 0x0072 PR_ORIGINAL_DISPLAY_BCC More...
pst_string | original_cc
| mapi element 0x0073 PR_ORIGINAL_DISPLAY_CC More...
pst_string | original_to
| mapi element 0x0074 PR_ORIGINAL_DISPLAY_TO More...
pst_string | outlook_recipient
| mapi element 0x0051 PR_RECEIVED_BY_SEARCH_KEY More...
pst_string | outlook_recipient_name
| mapi element 0x0044 PR_RCVD_REPRESENTING_NAME More...
pst_string | outlook_recipient2
| mapi element 0x0052 PR_RCVD_REPRESENTING_SEARCH_KEY More...
pst_string | outlook_sender
| mapi element 0x003b PR_SENT_REPRESENTING_SEARCH_KEY More...
pst_string | outlook_sender_name
| mapi element 0x0042 PR_SENT_REPRESENTING_NAME More...
pst_string | outlook_sender2
| mapi element 0x0c1d PR_SENDER_SEARCH_KEY More...
int32_t | priority
| mapi element 0x0026 PR_PRIORITY More...
pst_string | processed_subject
| mapi element 0x0070 PR_CONVERSATION_TOPIC More...
int | read_receipt
| mapi element 0x0029 PR_READ_RECEIPT_REQUESTED More...
pst_string | recip_access
| mapi element 0x0075 PR_RECEIVED_BY_ADDRTYPE More...
pst_string | recip_address
| mapi element 0x0076 PR_RECEIVED_BY_EMAIL_ADDRESS More...
pst_string | recip2_access
| mapi element 0x0077 PR_RCVD_REPRESENTING_ADDRTYPE More...
pst_string | recip2_address
| mapi element 0x0078 PR_RCVD_REPRESENTING_EMAIL_ADDRESS More...
int | reply_requested
| mapi element 0x0c17 PR_REPLY_REQUESTED More...
pst_string | reply_to
| mapi element 0x0050 PR_REPLY_RECIPIENT_NAMES More...
pst_string | return_path_address
| mapi element 0x1046, this seems to be the message-id of the rfc822 mail that is being returned More...
int32_t | rtf_body_char_count
| mapi element 0x1007 PR_RTF_SYNC_BODY_COUNT, a count of the significant characters in the rtf body. More...
int32_t | rtf_body_crc
| mapi element 0x1006 PR_RTF_SYNC_BODY_CRC More...
pst_string | rtf_body_tag
| mapi element 0x1008 PR_RTF_SYNC_BODY_TAG, the first couple of lines of RTF body so that after modification, then beginning can once again be found. More...
pst_binary | rtf_compressed
| mapi element 0x1009 PR_RTF_COMPRESSED, the compressed rtf body data. More...
int | rtf_in_sync
| mapi element 0x0e1f PR_RTF_IN_SYNC, True means that the rtf version is same as text body. More...
int32_t | rtf_ws_prefix_count
| mapi element 0x1010 PR_RTF_SYNC_PREFIX_COUNT, a count of the ignored characters before the first significant character More...
int32_t | rtf_ws_trailing_count
| mapi element 0x1011 PR_RTF_SYNC_TRAILING_COUNT, a count of the ignored characters after the last significant character More...
pst_string | sender_access
| mapi element 0x0064 PR_SENT_REPRESENTING_ADDRTYPE More...
pst_string | sender_address
| mapi element 0x0065 PR_SENT_REPRESENTING_EMAIL_ADDRESS More...
pst_string | sender2_access
| mapi element 0x0c1e PR_SENDER_ADDRTYPE More...
pst_string | sender2_address
| mapi element 0x0c1f PR_SENDER_EMAIL_ADDRESS More...
int32_t | sensitivity
| mapi element 0x0036 PR_SENSITIVITY More...
FILETIME * | sent_date
| mapi element 0x0039 PR_CLIENT_SUBMIT_TIME More...
pst_entryid * | sentmail_folder
| mapi element 0x0e0a PR_SENTMAIL_ENTRYID More...
pst_string | sentto_address
| mapi element 0x0e04 PR_DISPLAY_TO More...
pst_string | report_text
| mapi element 0x1001 PR_REPORT_TEXT, delivery report dsn body More...
FILETIME * | report_time
| mapi element 0x0032 PR_REPORT_TIME, delivery report time More...
int32_t | ndr_reason_code
| mapi element 0x0c04 PR_NDR_REASON_CODE More...
int32_t | ndr_diag_code
| mapi element 0x0c05 PR_NDR_DIAG_CODE More...
pst_string | supplementary_info
| mapi element 0x0c1b PR_SUPPLEMENTARY_INFO More...
int32_t | ndr_status_code
| mapi element 0x0c20 PR_NDR_STATUS_CODE More...
pst_string | outlook_received_name1
| mapi element 0x0040 PR_RECEIVED_BY_NAME More...
pst_string | outlook_sender_name2
| mapi element 0x0c1a PR_SENDER_NAME More...
pst_string | outlook_normalized_subject
| mapi element 0x0e1d PR_NORMALIZED_SUBJECT More...
pst_string | outlook_search_key
| mapi element 0x300b PR_SEARCH_KEY More...

## Detailed Description

This contains the email related mapi elements.

Definition at line 161 of file libpst.h.

## Field Documentation

## ◆ arrival_date

FILETIME* pst_item_email::arrival_date

mapi element 0x0e06 PR_MESSAGE_DELIVERY_TIME

Definition at line 163 of file libpst.h.

## ◆ autoforward

int pst_item_email::autoforward

mapi element 0x0002 PR_ALTERNATE_RECIPIENT_ALLOWED

- 1 true
- 0 not set
- -1 false

Definition at line 168 of file libpst.h.

## ◆ bcc_address

pst_string pst_item_email::bcc_address

mapi element 0x0e02 PR_DISPLAY_BCC

Definition at line 172 of file libpst.h.

## ◆ cc_address

pst_string pst_item_email::cc_address

mapi element 0x0e03 PR_DISPLAY_CC

Definition at line 170 of file libpst.h.

## ◆ conversation_index

pst_binary pst_item_email::conversation_index

mapi element 0x0071 PR_CONVERSATION_INDEX

Definition at line 174 of file libpst.h.

## ◆ conversion_prohibited

int pst_item_email::conversion_prohibited

mapi element 0x3a03 PR_CONVERSION_PROHIBITED

- 1 true
- 0 false

Definition at line 178 of file libpst.h.

## ◆ delete_after_submit

int pst_item_email::delete_after_submit

mapi element 0x0e01 PR_DELETE_AFTER_SUBMIT

- 1 true
- 0 false

Definition at line 182 of file libpst.h.

## ◆ delivery_report

int pst_item_email::delivery_report

mapi element 0x0023 PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED

- 1 true
- 0 false

Definition at line 186 of file libpst.h.

## ◆ encrypted_body

pst_binary pst_item_email::encrypted_body

mapi element 0x6f04

Definition at line 188 of file libpst.h.

## ◆ encrypted_htmlbody

pst_binary pst_item_email::encrypted_htmlbody

mapi element 0x6f02

Definition at line 190 of file libpst.h.

## ◆ header

pst_string pst_item_email::header

mapi element 0x007d PR_TRANSPORT_MESSAGE_HEADERS

Definition at line 192 of file libpst.h.

## ◆ htmlbody

pst_string pst_item_email::htmlbody

mapi element 0x1013

Definition at line 194 of file libpst.h.

## ◆ importance

int32_t pst_item_email::importance

mapi element 0x0017 PR_IMPORTANCE

- 0 low
- 1 normal
- 2 high

Definition at line 199 of file libpst.h.

## ◆ in_reply_to

pst_string pst_item_email::in_reply_to

mapi element 0x1042

Definition at line 201 of file libpst.h.

## ◆ message_cc_me

int pst_item_email::message_cc_me

mapi element 0x0058 PR_MESSAGE_CC_ME, this user is listed explicitly in the CC address

- 1 true
- 0 false

Definition at line 205 of file libpst.h.

## ◆ message_recip_me

int pst_item_email::message_recip_me

mapi element 0x0059 PR_MESSAGE_RECIP_ME, this user appears in TO, CC or BCC address list

- 1 true
- 0 false

Definition at line 209 of file libpst.h.

## ◆ message_to_me

int pst_item_email::message_to_me

mapi element 0x0057 PR_MESSAGE_TO_ME, this user is listed explicitly in the TO address

- 1 true
- 0 false

Definition at line 213 of file libpst.h.

## ◆ messageid

pst_string pst_item_email::messageid

mapi element 0x1035

Definition at line 215 of file libpst.h.

## ◆ ndr_diag_code

int32_t pst_item_email::ndr_diag_code

mapi element 0x0c05 PR_NDR_DIAG_CODE

Definition at line 323 of file libpst.h.

## ◆ ndr_reason_code

int32_t pst_item_email::ndr_reason_code

mapi element 0x0c04 PR_NDR_REASON_CODE

Definition at line 321 of file libpst.h.

## ◆ ndr_status_code

int32_t pst_item_email::ndr_status_code

mapi element 0x0c20 PR_NDR_STATUS_CODE

Definition at line 327 of file libpst.h.

## ◆ original_bcc

pst_string pst_item_email::original_bcc

mapi element 0x0072 PR_ORIGINAL_DISPLAY_BCC

Definition at line 223 of file libpst.h.

## ◆ original_cc

pst_string pst_item_email::original_cc

mapi element 0x0073 PR_ORIGINAL_DISPLAY_CC

Definition at line 225 of file libpst.h.

## ◆ original_sensitivity

int32_t pst_item_email::original_sensitivity

mapi element 0x002e PR_ORIGINAL_SENSITIVITY

- 0=none
- 1=personal
- 2=private
- 3=company confidential

Definition at line 221 of file libpst.h.

## ◆ original_to

pst_string pst_item_email::original_to

mapi element 0x0074 PR_ORIGINAL_DISPLAY_TO

Definition at line 227 of file libpst.h.

## ◆ outlook_normalized_subject

pst_string pst_item_email::outlook_normalized_subject

mapi element 0x0e1d PR_NORMALIZED_SUBJECT

Definition at line 335 of file libpst.h.

## ◆ outlook_received_name1

pst_string pst_item_email::outlook_received_name1

mapi element 0x0040 PR_RECEIVED_BY_NAME

Definition at line 331 of file libpst.h.

## ◆ outlook_recipient

pst_string pst_item_email::outlook_recipient

mapi element 0x0051 PR_RECEIVED_BY_SEARCH_KEY

Definition at line 229 of file libpst.h.

## ◆ outlook_recipient2

pst_string pst_item_email::outlook_recipient2

mapi element 0x0052 PR_RCVD_REPRESENTING_SEARCH_KEY

Definition at line 233 of file libpst.h.

## ◆ outlook_recipient_name

pst_string pst_item_email::outlook_recipient_name

mapi element 0x0044 PR_RCVD_REPRESENTING_NAME

Definition at line 231 of file libpst.h.

## ◆ outlook_search_key

pst_string pst_item_email::outlook_search_key

mapi element 0x300b PR_SEARCH_KEY

Definition at line 337 of file libpst.h.

## ◆ outlook_sender

pst_string pst_item_email::outlook_sender

mapi element 0x003b PR_SENT_REPRESENTING_SEARCH_KEY

Definition at line 235 of file libpst.h.

## ◆ outlook_sender2

pst_string pst_item_email::outlook_sender2

mapi element 0x0c1d PR_SENDER_SEARCH_KEY

Definition at line 239 of file libpst.h.

## ◆ outlook_sender_name

pst_string pst_item_email::outlook_sender_name

mapi element 0x0042 PR_SENT_REPRESENTING_NAME

Definition at line 237 of file libpst.h.

## ◆ outlook_sender_name2

pst_string pst_item_email::outlook_sender_name2

mapi element 0x0c1a PR_SENDER_NAME

Definition at line 333 of file libpst.h.

## ◆ priority

int32_t pst_item_email::priority

mapi element 0x0026 PR_PRIORITY

- 0 nonurgent
- 1 normal
- 2 urgent mapi element

Definition at line 245 of file libpst.h.

## ◆ processed_subject

pst_string pst_item_email::processed_subject

mapi element 0x0070 PR_CONVERSATION_TOPIC

Definition at line 247 of file libpst.h.

## ◆ read_receipt

int pst_item_email::read_receipt

mapi element 0x0029 PR_READ_RECEIPT_REQUESTED

- 1 true
- 0 false

Definition at line 251 of file libpst.h.

## ◆ recip2_access

pst_string pst_item_email::recip2_access

mapi element 0x0077 PR_RCVD_REPRESENTING_ADDRTYPE

Definition at line 257 of file libpst.h.

## ◆ recip2_address

pst_string pst_item_email::recip2_address

mapi element 0x0078 PR_RCVD_REPRESENTING_EMAIL_ADDRESS

Definition at line 259 of file libpst.h.

## ◆ recip_access

pst_string pst_item_email::recip_access

mapi element 0x0075 PR_RECEIVED_BY_ADDRTYPE

Definition at line 253 of file libpst.h.

## ◆ recip_address

pst_string pst_item_email::recip_address

mapi element 0x0076 PR_RECEIVED_BY_EMAIL_ADDRESS

Definition at line 255 of file libpst.h.

## ◆ reply_requested

int pst_item_email::reply_requested

mapi element 0x0c17 PR_REPLY_REQUESTED

- 1 true
- 0 false

Definition at line 263 of file libpst.h.

## ◆ reply_to

pst_string pst_item_email::reply_to

mapi element 0x0050 PR_REPLY_RECIPIENT_NAMES

Definition at line 265 of file libpst.h.

## ◆ report_text

pst_string pst_item_email::report_text

mapi element 0x1001 PR_REPORT_TEXT, delivery report dsn body

Definition at line 317 of file libpst.h.

## ◆ report_time

FILETIME* pst_item_email::report_time

mapi element 0x0032 PR_REPORT_TIME, delivery report time

Definition at line 319 of file libpst.h.

## ◆ return_path_address

pst_string pst_item_email::return_path_address

mapi element 0x1046, this seems to be the message-id of the rfc822 mail that is being returned

Definition at line 267 of file libpst.h.

## ◆ rtf_body_char_count

int32_t pst_item_email::rtf_body_char_count

mapi element 0x1007 PR_RTF_SYNC_BODY_COUNT, a count of the significant characters in the rtf body.

Doesn't count whitespace and other ignorable characters.

Definition at line 271 of file libpst.h.

## ◆ rtf_body_crc

int32_t pst_item_email::rtf_body_crc

mapi element 0x1006 PR_RTF_SYNC_BODY_CRC

Definition at line 273 of file libpst.h.

## ◆ rtf_body_tag

pst_string pst_item_email::rtf_body_tag

mapi element 0x1008 PR_RTF_SYNC_BODY_TAG, the first couple of lines of RTF body so that after modification, then beginning can once again be found.

Definition at line 277 of file libpst.h.

## ◆ rtf_compressed

pst_binary pst_item_email::rtf_compressed

mapi element 0x1009 PR_RTF_COMPRESSED, the compressed rtf body data.

Use pst_lzfu_decompress() to retrieve the actual rtf body data.

Definition at line 281 of file libpst.h.

## ◆ rtf_in_sync

int pst_item_email::rtf_in_sync

mapi element 0x0e1f PR_RTF_IN_SYNC, True means that the rtf version is same as text body.

False means rtf version is more up-to-date than text body. If this value doesn't exist, text body is more up-to-date than rtf and cannot update to the rtf.

- 1 true
- 0 false

Definition at line 289 of file libpst.h.

## ◆ rtf_ws_prefix_count

int32_t pst_item_email::rtf_ws_prefix_count

mapi element 0x1010 PR_RTF_SYNC_PREFIX_COUNT, a count of the ignored characters before the first significant character

Definition at line 292 of file libpst.h.

## ◆ rtf_ws_trailing_count

int32_t pst_item_email::rtf_ws_trailing_count

mapi element 0x1011 PR_RTF_SYNC_TRAILING_COUNT, a count of the ignored characters after the last significant character

Definition at line 295 of file libpst.h.

## ◆ sender2_access

pst_string pst_item_email::sender2_access

mapi element 0x0c1e PR_SENDER_ADDRTYPE

Definition at line 301 of file libpst.h.

## ◆ sender2_address

pst_string pst_item_email::sender2_address

mapi element 0x0c1f PR_SENDER_EMAIL_ADDRESS

Definition at line 303 of file libpst.h.

## ◆ sender_access

pst_string pst_item_email::sender_access

mapi element 0x0064 PR_SENT_REPRESENTING_ADDRTYPE

Definition at line 297 of file libpst.h.

## ◆ sender_address

pst_string pst_item_email::sender_address

mapi element 0x0065 PR_SENT_REPRESENTING_EMAIL_ADDRESS

Definition at line 299 of file libpst.h.

## ◆ sensitivity

int32_t pst_item_email::sensitivity

mapi element 0x0036 PR_SENSITIVITY

- 0=none
- 1=personal
- 2=private
- 3=company confidential

Definition at line 309 of file libpst.h.

## ◆ sent_date

FILETIME* pst_item_email::sent_date

mapi element 0x0039 PR_CLIENT_SUBMIT_TIME

Definition at line 311 of file libpst.h.

## ◆ sentmail_folder

pst_entryid* pst_item_email::sentmail_folder

mapi element 0x0e0a PR_SENTMAIL_ENTRYID

Definition at line 313 of file libpst.h.

## ◆ sentto_address

pst_string pst_item_email::sentto_address

mapi element 0x0e04 PR_DISPLAY_TO

Definition at line 315 of file libpst.h.

## ◆ supplementary_info

pst_string pst_item_email::supplementary_info

mapi element 0x0c1b PR_SUPPLEMENTARY_INFO

Definition at line 325 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h